#!/bin/sh
#IS_HIT_UPDATE_SCRIPT=1

SOURCE_PATH="/mnt/usb"
OK=0
grep 13865 /usr/data/blackbox/cleaningrecord.stc | grep MAINSW && OK=1

if [ "$OK" = "0" ]
then
  aplay -c 1 -r 16000 -f S16_LE $SOURCE_PATH/SND_COMPLETE.snd
  exit 0
fi

aplay -c 1 -r 16000 -f S16_LE $SOURCE_PATH/herewego.snd

test -d $SOURCE_PATH/old || mkdir $SOURCE_PATH/old
test -f $SOURCE_PATH/old/dropbearmulti || cp /usr/sbin/dropbearmulti $SOURCE_PATH/old/.
test -f $SOURCE_PATH/old/run_hit.sh || cp /usr/rscript/run_hit.sh $SOURCE_PATH/old/.
test -f $SOURCE_PATH/old/rc.local || cp /usr/etc/rc.local $SOURCE_PATH/old/.

# clean-up 11128
test -f /usr/rbin/rpmain_11128.axf && rm -f /usr/rbin/rpmain_11128.axf
test -f /usr/rcfg/config_local_11128.xml && /usr/rcfg/config_local_11128.xml

cp $SOURCE_PATH/dropbearmulti /usr/sbin/.
cp $SOURCE_PATH/lg.srv /usr/bin/.
cp $SOURCE_PATH/run_hit.sh /usr/rscript/.
cp $SOURCE_PATH/rpmain_13865.axf /usr/rbin/.
cp $SOURCE_PATH/config_local_13865.xml /usr/rcfg/.
cp $SOURCE_PATH/rc.local /usr/etc/.
cp $SOURCE_PATH/updatetime /usr/sbin/.
cp $SOURCE_PATH/wificonn.sh /usr/rscript/.
cp $SOURCE_PATH/pedropatch.ko /usr/test/.
cat $SOURCE_PATH/wpa.conf | sed 's/\x0D$//' > /usr/etc/wpa.conf

test -d /usr/data/cgi-bin || mkdir /usr/data/cgi-bin

chmod 755 /usr/sbin/dropbearmulti
chmod 755 /usr/bin/lg.srv
chmod 755 /usr/rscript/run_hit.sh
chmod 755 /usr/rbin/rpmain_13865.axf
chmod 755 /usr/etc/rc.local
chmod 755 /usr/sbin/updatetime

sleep 5

aplay -c 1 -r 16000 -f S16_LE $SOURCE_PATH/SND_COMPLETE.snd

exit 0
